package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 模板配置对象 ems_strategy_temp_time_config
 *
 * @author xzzn
 * @date 2025-07-12
 */
public class EmsStrategyTempTimeConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 开始时间 */
    @JsonFormat(pattern = "HH:mm")
    @Excel(name = "开始时间", width = 30, dateFormat = "HH:mm")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "HH:mm")
    @Excel(name = "结束时间", width = 30, dateFormat = "HH:mm")
    private Date endTime;

    /** 充放功率 (kW) */
    @Excel(name = "充放功率 (kW)")
    private BigDecimal chargeDischargePower;

    /** SDC下限 (%) */
    @Excel(name = "SDC下限 (%)")
    private BigDecimal sdcDown;

    /** SDC上限 (%) */
    @Excel(name = "SDC上限 (%)")
    private BigDecimal sdcUp;

    /** 充电状态，如“1-充电”、“2-待机” */
    @Excel(name = "充电状态，如“1-充电”、“2-待机”")
    private String chargeStatus;

    /** 模板id */
    @Excel(name = "模板id")
    private String  templateId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }

    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }

    public void setChargeDischargePower(BigDecimal chargeDischargePower)
    {
        this.chargeDischargePower = chargeDischargePower;
    }

    public BigDecimal getChargeDischargePower()
    {
        return chargeDischargePower;
    }

    public void setSdcDown(BigDecimal sdcDown)
    {
        this.sdcDown = sdcDown;
    }

    public BigDecimal getSdcDown()
    {
        return sdcDown;
    }

    public void setSdcUp(BigDecimal sdcUp)
    {
        this.sdcUp = sdcUp;
    }

    public BigDecimal getSdcUp()
    {
        return sdcUp;
    }

    public void setChargeStatus(String chargeStatus)
    {
        this.chargeStatus = chargeStatus;
    }

    public String getChargeStatus()
    {
        return chargeStatus;
    }

    public void setTemplateId(String  templateId)
    {
        this.templateId = templateId;
    }

    public String  getTemplateId()
    {
        return templateId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("chargeDischargePower", getChargeDischargePower())
                .append("sdcDown", getSdcDown())
                .append("sdcUp", getSdcUp())
                .append("chargeStatus", getChargeStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("templateId", getTemplateId())
                .toString();
    }
}
